> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# List Identities filters

> List filters applicable to the List Identities endpoint



## OpenAPI

````yaml /api-reference/openapi.yaml get /accounts/{account_id}/identities/filters
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/identities/filters:
    get:
      tags:
        - Identities
      summary: List Identities filters
      description: List filters applicable to the List Identities endpoint
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityFilters'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    IdentityFilters:
      properties:
        actions:
          items:
            $ref: '#/components/schemas/Filter'
          type: array
        identity_sources:
          items:
            $ref: '#/components/schemas/Filter'
          type: array
        identity_types:
          items:
            $ref: '#/components/schemas/Filter'
          type: array
        resources:
          items:
            $ref: '#/components/schemas/Filter'
          type: array
        risk_levels:
          items:
            $ref: '#/components/schemas/Filter'
          type: array
        risk_types:
          items:
            $ref: '#/components/schemas/Filter'
          type: array
        statuses:
          items:
            $ref: '#/components/schemas/Filter'
          type: array
        usages:
          items:
            $ref: '#/components/schemas/Filter'
          type: array
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    Filter:
      properties:
        label:
          type: string
        value:
          type: string
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message

````